# upstream_version helps to know last update date
%define upstream_version 20181211
# upstream git commit used for download
%define git 7a314a175529815602e8883d9fea57ff2a054bd2

Name:           hyphen-hsb
Version:        0.%{upstream_version}
Release:        %mkrel 4
Summary:        Upper Sorbian hyphenation rules
License:        LPPL
Group:          Text tools
URL:            https://tug.org/tex-hyphen
Source0:        https://raw.githubusercontent.com/hyphenation/tex-hyphen/%{git}/hyph-utf8/tex/generic/hyph-utf8/patterns/tex/hyph-hsb.tex#/hyph-hsb-%{git}.tex
Patch0:         %{name}-2.5-cleantex.patch
BuildRequires:  hyphen-devel
Requires:       hyphen
BuildArch:      noarch

%description
Upper Sorbian hyphenation rules.

%prep
%setup -T -q -c -n hyphen-hsb
cp -p %{SOURCE0} ./hyph-hsb.tex
%patch -P 0 -p0 -b .clean

%build
substrings.pl hyph-hsb.tex hyph_hsb_DE.dic UTF-8
echo "created with substring.pl by substrings.pl hyph-hsb.tex hyph_hsb_DE.dic UTF-8" > README
echo "---" >> README
head -n 61 hyph-hsb.tex >> README

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p hyph_hsb_DE.dic %{buildroot}%{_datadir}/hyphen

%files
%doc README
%{_datadir}/hyphen/*


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 0.20181211-4.mga10
+ Revision: 2127646
- Rebuild for patchN deprecation

* Mon Mar 21 2022 umeabot <umeabot> 0.20181211-3.mga9
+ Revision: 1812126
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 0.20181211-2.mga8
+ Revision: 1538107
- Mageia 8 Mass Rebuild

* Wed Nov 13 2019 zezinho <zezinho> 0.20181211-1.mga8
+ Revision: 1459810
- new version

* Tue Sep 18 2018 umeabot <umeabot> 0.20100531-8.mga7
+ Revision: 1262200
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 0.20100531-7.mga6
+ Revision: 933817
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20100531-6.mga5
+ Revision: 744363
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20100531-5.mga5
+ Revision: 680364
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20100531-4.mga4
+ Revision: 505922
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20100531-3.mga3
+ Revision: 353929
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 10 2012 kamil <kamil> 0.20100531-2.mga2
+ Revision: 194665
- rebuild against new hyphen-devel
- clean spec

* Sat Mar 12 2011 ahmad <ahmad> 0.20100531-1.mga1
+ Revision: 70150
- fix group
- imported package hyphen-hsb

